#!/usr/bin/env lua
local ubus=require "ubus"
local uloop=require "uloop"

uloop.init()
local bus=ubus.connect()
bus:listen(
    {
        ["dli.serial.recv"] = function(data)
            local line=data and data["line"]
            if line and line:sub(1,3)=="!K " then
                for arg in line:sub(3):gmatch("%S+") do
                    local key,value = arg:match("([^=]+)=([^=]+)")
                    if key and value=="1" then
                        print(key);
                        (uloop["end"] or uloop["cancel"])()
                    end
                end
            end
        end
    }
)

uloop.run()
